Package it.ernytech.tdlib

## Class TdApi.ProxySocks5

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Proxy
    - - it.ernytech.tdlib.TdApi.ProxySocks5

Enclosing class:
  TdApi

    public static class TdApi.ProxySocks5
    extends TdApi.Proxy

A SOCKS5 proxy server.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `password` Password for logging in.
`int` `port` Proxy server port.
`java.lang.String` `server` Proxy server IP address.
`java.lang.String` `username` Username for logging in.

### Constructor Summary

Constructors
`ProxySocks5()` Default constructor.
`ProxySocks5​(java.lang.String server, int port, java.lang.String username, java.lang.String password)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### server

    public java.lang.String server

Proxy server IP address.

#### port

    public int port

Proxy server port.

#### username

    public java.lang.String username

Username for logging in.

#### password

    public java.lang.String password

Password for logging in.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ProxySocks5

    public ProxySocks5()

Default constructor.

#### ProxySocks5

    public ProxySocks5​(java.lang.String server,
                       int port,
                       java.lang.String username,
                       java.lang.String password)

Constructor for initialization of all fields.

Parameters:
  `server` - Proxy server IP address.
  `port` - Proxy server port.
  `username` - Username for logging in.
  `password` - Password for logging in.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR